#ifndef	FLOATTEXT_DEFINE
#define	FLOATTEXT_DEFINE

/*
 * atanks - obliterate each other with oversize weapons
 * Copyright (C) 2003  Thomas Hudson
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * */


#include "virtobj.h"

class FLOATTEXT: public VIRTUAL_OBJECT
{
	private:
	char	_text[80];
	int	_color;

	public:

	FLOATTEXT (GLOBALDATA *global, ENVIRONMENT *env, const char *text, int x, int y, int color, alignType alignment);
	~FLOATTEXT ();
	void		initialise ();
	int		applyPhysics ();
	void		draw (BITMAP *dest);
	void		set_text (const char *text);
	void		set_pos (int x, int y);
	void		set_color (int color);
	int		isSubClass (int classNum);
	int		getClass () {return (FLOATTEXT_CLASS);};
        void            newRound();
};

#endif
